#!/usr/bin/perl
use strict;
use warnings;
my $version_str = $^V;
if (defined $version_str && $version_str =~ /(\d+\.\d+\.\d+)/)
{
  print $1;
  exit;
}
$version_str = $];
if (defined $version_str && $version_str =~ /(\d+)\.(\d\d\d)(\d\d\d)/)
{
  printf("%d.%d.%d", $1, $2, $3);
  exit;
}
print "unknown";
exit;
